<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width,initial-scale=1" />
		<title>SUPER</title>
		<link
			href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
			rel="stylesheet"
			integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
			crossorigin="anonymous"
		/>
		<script
			src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"
			integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
			crossorigin="anonymous"
		></script>
		<style>
			#demo {
				font-family: "Helvetica", Arial, sans-serif;
			}
			a {
				text-decoration: none;
				color: #f66;
			}
			li {
				line-height: 1.5em;
				margin-bottom: 20px;
			}
			.author,
			.date {
				font-weight: bold;
			}
		</style>
	</head>
	<body>
		<div id="demo">
			<h1>Mes supers héros</h1>
			<div class="container">
			<!-- <pre>{{mesDonnees}}</pre> -->
			<div>
				<li>
					<input v-model="recupid">
				</li>
				
					<div class="row">
						<div
							v-if="display == true"
							class="col-4"
						>
							<div class="card" style="width: 18rem">
								<div class="card-body">
									<h5 class="card-title">
										{{heros.name}}
									</h5>
									<p class="card-text">
										<img :src="heros.image.url">
									</p>
									
									<!-- <a href="#" class="card-link">Card link</a>
							<a href="#" class="card-link">Another link</a> -->
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	
		<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

		<script>
			const apiURL =
				"https://superheroapi.com/api/816989365566738/";

			const demo = new Vue({
				el: "#demo",
				data: {
					heros: {},
					display : false,
					recupid : 25,
				},
				watch: { 
					recupid: function (val) { 
						//console.log(val);
						this.fetchData(val);
					}
				},

				created: function () {
					this.fetchData(25);
				},
				methods: {
					fetchData: async function (ID) {
						try {
							const response = await axios.get(apiURL + ID );
							console.log(response);
							this.heros = response.data;
							this.display = true ;
						} catch (error) {
							console.log(error);
						}
					},
				},

				computed: {
				filteredid: function () {
					return this.fetchData();
				}
			},
			});
		</script>
	</body>
</html>
